---
- name: Check if user exists
  shell: /usr/bin/getent group | awk -F":" '{print $1}'
  register: etc_groups
  tags:
    - groups

- name: Add user to a group
  user:
    name: "{{ item.name }}"
    groups: "{{ item.groups }}"
    append: yes
  with_items:
    "{{ user_to_groups | default([]) }}"
  tags:
    - groups